Displaying 20 results from an estimated 25 matches for "skip_unless".
2019 Jul 01
0
[PATCH 6/6] p2v: tests: use a local blank-part disk image
...@=part exit
+
virt-p2v.img: \
dependencies.m4 \
issue \
diff --git a/p2v/test-virt-p2v-nbdkit.sh b/p2v/test-virt-p2v-nbdkit.sh
index 6e7ae2129..5c635bb03 100755
--- a/p2v/test-virt-p2v-nbdkit.sh
+++ b/p2v/test-virt-p2v-nbdkit.sh
@@ -25,10 +25,10 @@ skip_if_skipped
skip_if_backend uml
skip_unless nbdkit file --version
skip_unless test -f fedora.img
-skip_unless_phony_guest blank-part.img
+skip_unless test -f blank-part.img
f1="$abs_builddir/fedora.img"
-f2="$abs_top_builddir/test-data/phony-guests/blank-part.img"
+f2="$abs_builddir/blank-part.img"
d=test...
2018 Oct 01
2
[PATCH v2] v2v: -o rhv-upload: test-v2v-o-rhv-upload.sh: add more skip checks
...| 2 ++
1 file changed, 2 insertions(+)
diff --git a/v2v/test-v2v-o-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
index 8bda7cc0b..23d2ad7a0 100755
--- a/v2v/test-v2v-o-rhv-upload.sh
+++ b/v2v/test-v2v-o-rhv-upload.sh
@@ -28,6 +28,8 @@ set -x
$TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
+skip_unless python3 --version
+skip_unless nbdkit python3 --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.17.1
2019 Dec 16
4
[v2v PATCH 0/3] tests: simpler way to use configure results
Add a single shell script to hold results of configure.
Pino Toscano (3):
build: add an empty config.sh
Revert "tests: rhv-upload: Fix skip test of nbdkit python plugin."
tests: use the right nbdkit python3 plugin
.gitignore | 2 +-
config.sh.in | 22 +++++++++++++++++++
configure.ac
2019 Nov 29
2
[PATCH] tests: rhv-upload: Require nbdkit python plugin
...ile changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/test-v2v-o-rhv-upload.sh b/tests/test-v2v-o-rhv-upload.sh
index a2f5b0d5..fe0a4d94 100755
--- a/tests/test-v2v-o-rhv-upload.sh
+++ b/tests/test-v2v-o-rhv-upload.sh
@@ -29,7 +29,7 @@ $TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
skip_unless python3 --version
-skip_unless nbdkit python3 --version
+skip_unless nbdkit python --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.21.0
2019 Dec 16
0
[v2v PATCH 3/3] tests: use the right nbdkit python3 plugin
..."@VIRT_V2V_NBDKIT_PYTHON_PLUGIN@"
diff --git a/tests/test-v2v-o-rhv-upload.sh b/tests/test-v2v-o-rhv-upload.sh
index a2f5b0d5..e70575c7 100755
--- a/tests/test-v2v-o-rhv-upload.sh
+++ b/tests/test-v2v-o-rhv-upload.sh
@@ -29,7 +29,7 @@ $TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
skip_unless python3 --version
-skip_unless nbdkit python3 --version
+skip_unless nbdkit $VIRT_V2V_NBDKIT_PYTHON_PLUGIN --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.23.0
2018 Oct 01
2
[PATCH] v2v: -o rhv-upload: skip test-v2v-o-rhv-upload.sh w/o nbdkit
...sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/v2v/test-v2v-o-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
index 8bda7cc0b..29214a9db 100755
--- a/v2v/test-v2v-o-rhv-upload.sh
+++ b/v2v/test-v2v-o-rhv-upload.sh
@@ -28,6 +28,7 @@ set -x
$TEST_FUNCTIONS
skip_if_skipped
skip_if_backend uml
+skip_unless nbdkit file --version
skip_unless_phony_guest windows.img
libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
--
2.17.1
2018 Oct 01
0
Re: [PATCH v2] v2v: -o rhv-upload: test-v2v-o-rhv-upload.sh: add more skip checks
...; diff --git a/v2v/test-v2v-o-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
> index 8bda7cc0b..23d2ad7a0 100755
> --- a/v2v/test-v2v-o-rhv-upload.sh
> +++ b/v2v/test-v2v-o-rhv-upload.sh
> @@ -28,6 +28,8 @@ set -x
> $TEST_FUNCTIONS
> skip_if_skipped
> skip_if_backend uml
> +skip_unless python3 --version
> +skip_unless nbdkit python3 --version
> skip_unless_phony_guest windows.img
>
> libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
This will only work on Fedora because Fedora renames the upstream
nbdkit python plugin to nbdkit-py...
2019 May 16
2
[PATCH] v2v: -o json: add a simple test for it
...+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test -o json.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_if_backend uml
+skip_unless_phony_guest windows.img
+skip_unless jq --version
+
+libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
+
+export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
+
+guestname=windows
+
+d=test-v2v-o-json.d
+rm -rf $d
+mkdir $d
+
+json=$d/$guestn...
2019 Jul 01
8
[PATCH 0/6] p2v: start making it independent
As preliminary steps in splitting virt-p2v to an own repository,
start making p2v more independent within libguestfs. This is
accomplished by the following changes:
- generate the p2v kernel config sources & docs at build time using a
Perl script, rather than the generator (so no need for OCaml when
building from git, and no generated sources in dist tarballs)
- create two local test
2017 Feb 24
1
[PATCH] inspector: validate resulting XML files
Run xmllint to validate the XML output files of virt-inspector, so the
schema is checked against actual output of virt-inspector.
---
inspector/test-virt-inspector.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/inspector/test-virt-inspector.sh b/inspector/test-virt-inspector.sh
index 2f55cdc..33d749c 100755
--- a/inspector/test-virt-inspector.sh
+++ b/inspector/test-virt-inspector.sh
@@
2018 Oct 01
0
Re: [PATCH] v2v: -o rhv-upload: skip test-v2v-o-rhv-upload.sh w/o nbdkit
...; diff --git a/v2v/test-v2v-o-rhv-upload.sh b/v2v/test-v2v-o-rhv-upload.sh
> index 8bda7cc0b..29214a9db 100755
> --- a/v2v/test-v2v-o-rhv-upload.sh
> +++ b/v2v/test-v2v-o-rhv-upload.sh
> @@ -28,6 +28,7 @@ set -x
> $TEST_FUNCTIONS
> skip_if_skipped
> skip_if_backend uml
> +skip_unless nbdkit file --version
> skip_unless_phony_guest windows.img
>
> libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
ACK.
We could also skip if Python is not available, or one of the Python
modules like the HTTP server is not available. However getting...
2019 May 16
0
Re: [PATCH] v2v: -o json: add a simple test for it
...ublic License
> +# along with this program; if not, write to the Free Software
> +# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
> +
> +# Test -o json.
> +
> +set -e
> +
> +$TEST_FUNCTIONS
> +skip_if_skipped
> +skip_if_backend uml
> +skip_unless_phony_guest windows.img
> +skip_unless jq --version
> +
> +libvirt_uri="test://$abs_top_builddir/test-data/phony-guests/guests.xml"
> +
> +export VIRT_TOOLS_DATA_DIR="$top_srcdir/test-data/fake-virt-tools"
> +
> +guestname=windows
> +
> +d=test-v2v-o-j...
2017 Feb 19
3
[PATCH [WIP] 0/3] tests: Define common test functions.
There's a lot of common code in the tests, eg:
if [ "$(guestfish get-backend)" = "uml" ]; then
echo "$0: test skipped because UML backend does not support network"
exit 77
fi
These commits (work in progress) create a common set of test functions
for skipping tests etc.
Rich.
2017 Feb 20
3
[PATCH 0/3] tests: Define common test functions.
Previously I posted a work-in-progress preview of this patch series:
https://www.redhat.com/archives/libguestfs/2017-February/msg00224.html
This is the finished version that updates all of the shell-script
based tests. It passes 'make check', 'make check-direct' and
'make check-slow'.
Rich.
2018 Aug 24
0
[PATCH v6] v2v: Add --print-estimate option to print copy size estimate.
....
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test --print-estimate option.
+
+set -e
+
+$TEST_FUNCTIONS
+skip_if_skipped
+skip_unless_phony_guest windows.img
+skip_unless jq --version
+
+f=test-v2v-print-estimate.out
+rm -f $f
+
+echo "Actual:"
+du -s -B 1 ../test-data/phony-guests/windows.img
+
+$VG virt-v2v --debug-gc \
+ -i libvirtxml test-v2v-print-source.xml \
+ -o local -os $(pwd) \
+ --print-estimate \
+...
2018 Aug 24
2
[PATCH v6] v2v: Add --print-estimate option to print copy size estimate.
v6:
- Make the text output a bit nicer.
- Changes as suggested to Measure_disk module temp file & json parsing.
- Use jq to test JSON output.
- Retest.
2019 Jul 11
5
[p2v PATCH 0/4] More imports and fixes
See individual patches for details.
Pino Toscano (4):
Add valgrind suppression file
podwrapper: the tools here start with p2v
Import some internal documentation
podwrapper: adapt footer to p2v
.gitignore | 6 +
Makefile.am | 4 +-
configure.ac | 1 +
docs/Makefile.am | 65 ++++++++
docs/p2v-building.pod | 259
2017 Jul 07
3
[PATCH v3 0/3] gobject: Remove gtk-doc.
Another test, the same as before.
2017 Jul 07
3
[PATCH v4 0/3] gobject: Remove gtk-doc (RHBZ#1465665).
Best of .. 4?
2017 Jul 07
3
[PATCH v5 0/3] gobject: Remove gtk-doc (RHBZ#1465665).
After enabling procmail debugging ...